digest-0.0.1.0: Various cryptographic hashes for bytestrings; CRC32 and Adler32 for now.

Portability | portable (H98 + FFI)
Stability | experimental
Maintainer | ekirpichov@gmail.com
Safe Haskell | None

Data.Digest.Adler32

Description

Adler32 wrapper

Synopsis

- class Adler32 a where
  - adler32 :: a -> Word32
  - adler32Update :: Word32 -> a -> Word32

# Documentation

class Adler32 a where Source

The class of values for which Adler32 may be computed

Methods

adler32 :: a -> Word32 Source

Compute Adler32 checksum

adler32Update :: Word32 -> a -> Word32 Source

Given the Adler32 checksum of a string, compute Adler32 of its concatenation with another string (t.i., incrementally update the Adler32 hash value).

Instances

Adler32 ByteString |
Adler32 ByteString |
Adler32 [Word8] |